HEllo

Public Member Functions | List of all members
Device Class Reference

Device Class this calss defines a device. More...

`#include <device.hpp>`

## Public Member Functions
uint8_t | doSomething (uint8_t thing)
| It dose something it adds two thing together. More...

## Detailed Description

Device Class this calss defines a device.

Device driver.

Author
  Edwin

Date
  2021 / 04 / 09

Version
  1.0158

This class is meant as an example. It is not useful by itself rather its usefulness is only a function of how much it helps the reader. It is in a sense defined by the person who reads it and otherwise does not exist in any real form.

Note
  We are triying somthing

Author
  (last to touch it) $Kerem : bv $

Version

Revision
  1.5

Date

Date
  2021/04/09

Contact: yokyok

Created on: Wed Apr 13 18:39:37 2005

Id
  doxygen-howto.html,v 1.5 2005/04/14 14:16:20 bv Exp

## Member Function Documentation

## ◆ doSomething()

uint8_t Device::doSomething | ( | uint8_t | thing | ) |

It

dose something
it adds two thing together.

Author
  Kerem

Date
  2021 / 04 / 09

Version
  1.0

Parameters

  uint8_t | thing

Returns
  uint8_t retunrs thing + foo

The documentation for this class was generated from the following files:

- device.hpp
- device.cpp